What requirements must be met to use FAIRTIQ?

  • You need a smartphone with iOS 10.0 (or newer) or Android 5.0 (or newer)
  • You need a smartphone with a functioning SIM-card which allows mobile data. We suggest to use FAIRTIQ with a mobile data flat fee.
  • You need a valid mean of payment. Credit card (Visa oder MasterCard), PostFinance Card or Swisscom Easypay.
  • FAIRTIQ does not support jailbroken or rooted devices.
Have more questions? Submit a request

0 Comments

Article is closed for comments.